Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class GlobalBookmarkAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
                          org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.GlobalBookmarkAction

All Implemented Interfaces:
  IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

public class GlobalBookmarkAction
extends GlobalAction

Global Bookmark Action

This action provides the mechanism for enabling the Edit->Add Bookmark... menu item.

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`GlobalBookmarkAction(IWorkbenchPage workbenchPage)`
`GlobalBookmarkAction(IWorkbenchPart workbenchPart)`

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`void` `init()` The basic implementation sets the workbenchpart if not already set and refreshes the action if the current part is not null.
`protected boolean` `isSelectionListener()` Retrieves a Boolean indicating whether this action handler is interested in selection events.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
`createCompositeCommand, createContext, doRun, getGlobalActionHandlerData, getObjectContextGlobalActionHandlerData, getUndoContext, getWorkbenchActionConstant, refresh`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, dispose, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, isDisposed, isOperationHistoryListener, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### GlobalBookmarkAction

    public GlobalBookmarkAction(IWorkbenchPage workbenchPage)

Parameters:
  `workbenchPage` -

### GlobalBookmarkAction

    public GlobalBookmarkAction(IWorkbenchPart workbenchPart)

Parameters:
  `workbenchPart` -

Method Detail

### init

    public void init()

  Description copied from class: `AbstractActionHandler`
  The basic implementation sets the workbenchpart if not already set and refreshes the action if the current part is not null.

  Any subclass that overrided this method should ensure that the disposed state of this action is maintained by calling `setDisposed(false)` or calling `super.init()`.

  Specified by:
    `init` in interface `IDisposableAction`
  Overrides:
    `init` in class `GlobalAction`

### getActionId

    public java.lang.String getActionId()

  Description copied from class: `GlobalAction`
  Returns the `GlobalActionId` handled by this action

  Specified by:
    `getActionId` in class `GlobalAction`
  Returns:
    int

### isSelectionListener

    protected boolean isSelectionListener()

  Description copied from class: `AbstractActionHandler`
  Retrieves a Boolean indicating whether this action handler is interested in selection events.

  Overrides:
    `isSelectionListener` in class `AbstractActionHandler`
  Returns:
    `true` if this action handler is interested; `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.